> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boost.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# OpenAPI JSON File

> Download the OpenAPI JSON specification for the Boost API

<Card title="OpenAPI JSON Specification" icon="asterisk" href="https://api-v2.boost.xyz/openapi.json">
  Download our OpenAPI JSON specification
</Card>

## Available One-Time Actions API Endpoints

<CardGroup cols={2}>
  <Card title="List Boosts" icon="list" href="/v2/api-reference/boost/get-a-list-of-boosts">
    `GET /boosts` - Get a paginated list of boosts with optional filters
  </Card>

  <Card title="Get Boost Details" icon="circle-info" href="/v2/api-reference/boost/get-details-for-a-boost">
    `GET /boosts/{id}` - Get detailed information about a specific boost
  </Card>

  <Card title="Boost Activity" icon="chart-line" href="/v2/api-reference/boost/get-events-for-a-specific-boost">
    `GET /boosts/{id}/activity` - Get activity history for a boost
  </Card>

  <Card title="Claim Signatures" icon="signature" href="/v2/api-reference/boost/generate-a-claim-signature-that-can-be-used-to-submit-a-claim">
    `GET /signatures` - Get signatures required for boost claims
  </Card>
</CardGroup>

## Available Reward Kit API Endpoints

<CardGroup cols={2}>
  <Card title="List Reward Kit Rewards" icon="list" href="/v2/api-reference/rewardkit/get-a-list-of-reward-kit-rewards">
    `GET /reward-kit/boosts` - Get a paginated list of rewards.
  </Card>

  <Card title="Reward Kit Reward Details" icon="circle-info" href="/v2/api-reference/rewardkit/get-a-single-rewardkit-reward">
    `GET /reward-kit/boosts/{id}` - Get details for a single reward.
  </Card>

  <Card title="Reward Kit Profile" icon="user" href="/v2/api-reference/rewardkit/get-a-users-rewardkit-profile">
    `GET /reward-kit` - Get reward status for a claimant address.
  </Card>

  <Card title="Transaction Signature Lookup" icon="signature" href="/v2/api-reference/rewardkit/try-to-get-claim-signature-without-known-transaction">
    `GET /transactions` - Check recent transactions for a qualifying claim signature.
  </Card>
</CardGroup>
